Teahouse GROUP 2018 manuscript
Closed, DeclinedPublic

Description

Deadline is June 20.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 6 2017, 8:34 PM
Capt_Swing triaged this task as Normal priority.Apr 6 2017, 8:35 PM
Capt_Swing moved this task from Backlog to In Progress on the Design-Research board.
Capt_Swing updated the task description. (Show Details)Apr 7 2017, 9:25 PM

To whoever vandalized my Latex doc: not cool.

Capt_Swing renamed this task from Teahouse CSCW 2018 manuscript to Teahouse GROUP 2018 manuscript.Apr 13 2017, 8:59 PM
Capt_Swing updated the task description. (Show Details)
Capt_Swing closed this task as Declined.Jul 17 2017, 9:19 PM

Missed the deadline. Next time!